# latex-basic

## The docker image
Like first step run your **Docker image**, but in order to have the latest image update it first 

```
$ docker pull gmarxcc/texstudio:0.16
```

**Note you can check the latest version on:** [docker-hub](https://hub.docker.com/repository/docker/gmarxcc/texstudio).

## Cloning the repository
Now, from command line or power-shell clone go to a folder that will contain this repository, in my case is:
```
$ cd rs-101/git-examples/
```
Now let's clone the repository using 'git clone' command 
```
$ git clone http://gmarx.jumpingcrab.com:8088/mice-rs101/latex-basic.git
```
then go *inside* the folder just created:
```
$ ls 
latex-basic
$ cd latex-basic
$ ls
LICENSE				sampleDocument.tex
README.md			references.bib			
```
as you can see, there are some files related with the repository :) **goo job**




## Running the image and mounting the repository
Now you can mount the volume that contain the just cloned repository. If you are using **MacOS**:
```
$ open -a XQuartz
$ ip=$(ifconfig en0 | grep inet | awk '$1=="inet" {print $2}')
$ xhost + $ip
192.xxx.x.xx being added to access control list
$ docker run --rm -it -v`pwd`:/mnt \
            -e DISPLAY=$ip:0 \
            -v /tmp/.X11-unix:/tmp/.X11-unix \
            gmarxcc/texstudio:0.16
root@d442a76cd169:/# 
```
this means that you are already have mounted the 'texstudio:0.16' image. 

---

### If you are using **Windows**:
* Firts open or [install](https://sourceforge.net/projects/vcxsrv/) *VcXsrv Windows X Server*. When *VcXsrv Windows X Server* is open make sure to have selected as follow the **extra settings**. Check all options as below and finish configuration.

![XLauch settings](https://cuneyt.aliustaoglu.biz/en/content/images/2018/11/xlaunch.png)

* Get your IP address using ipconfig command at the **PowerShell**:


```
PS C:\Users\gmarx> ipconfig

......

Wireless LAN adapter Wi-Fi:

   Connection-specific DNS Suffix  . : rga.ip
   IPv6 Address. . . . . . . . . . . : 2806:103e:5:e64e:d01:9a10:1ba8:8577
   Temporary IPv6 Address. . . . . . : 2806:103e:5:e64e:44a7:4800:cc9a:7a3c
   Link-local IPv6 Address . . . . . : fe80::d01:9a10:1ba8:8577%2
   IPv4 Address. . . . . . . . . . . : 192.168.1.77
   Subnet Mask . . . . . . . . . . . : 255.255.255.0
   Default Gateway . . . . . . . . . : fe80::1%2
                                       192.168.1.254
```

**remember to use a physical adapter activaded, it means whit an IP address, in my case is Wi-Fi adapter IPv4 192.168.1.77.

Now you can go to the folder you want to mount at docker and run the container using the next commands
```
PS C:\Users\gmarx>cd myFolder
PS C:\Users\gmarx\myFolder> $ docker run --rm -it -v ${PWD}:/mnt -e DISPLAY=192.168.1.77:0.0 gmarxcc/texstudio:0.16
root@d442a76cd169:/# 

```

this means that you are already have mounted the 'texstudio:0.16' image. 

![](powershell.png)


---
### Testing the docker image with texstudio

In order to test the image, run 'texstudio':
```
root@d442a76cd169:/# texstudio
```
must probably you will get some warning at prompt, but don't care, those are about some video drivers. By running the 'texstudio' command you get the 'texstudio' main window:

![window](texstudio-window.png)

Thus, you are ready to write a document. :)

# Sample Document
Inside the repository there is a file called 'sampleDocument.tex'. This file includes a *LaTeX* guide to fill-up with your project's proposal. It must include at least the next sections:

1. **Abstract**: The abstract must be no longer than 300 to 400 words.  El resumen debe de ser preferentemente un párrafo conciso, de una longitud aproximada de entre 200 a 350 palabras. Se recomienda que el resumen sea escrito al final, los autores deben de incluir la relevancia del tópico, que aspectos se abordan en el trabajo, cuál es la metodología, tesis, hipótesis y que resultados se obtuvieron.
2. **Introduction/Problem Statement**: En esta sección se recomienda presentar la relevancia del tópico que se aborda en el trabajo desde un aspecto muy general. De ser necesario el autor debe definir terminología, conceptos o aspectos un poco mas particulares. De las misma forma debe resaltarse las ventajas y/o aplicaciones del tópico que se aborda. Por otro lado, conforme al autor avanza debe indicar cuales son las debilidades o desventajas del tópico abordado. Enfatizando el problema que se pretende resolver. Consecuentemente el autor debe especificar que puntos o áreas serán las que aborde o resuelva en el proyecto que se presenta.
3. **State of Art/Review of other solutions to the problem**: A lo largo de la presente sección el autor debe presentar que han hecho otros autores, empresas o investigadores, para intentar resolver el problema planteado. En ese sentido es importante que el autor haga las citas bibliográficas necesarias a otros trabajos, datos o información para respaldar la veracidad y formalidad del trabajo presentado; evitando hacer plagio. Se recomienda ampliamente que dentro de esta sección se presenten esquemas, figuras, diagramas, patentes y/o procesos de otros autores. En el código de *LaTeX*, se muestra como insertar figuras y hacer referencias a éstas.
4. **Proposed solution/Aims of the proposal**: Sección donde se describe y presenta la forma de resolver el problema propuesto, a través de una tesis, hipótesis y objetivos.
5. Materials and methods: En esta sección se propone el montaje experimental o esquema de conexión que se usará para resolver el problema. Utilice una imagen que permita identificar las variables o datos que ayudaran a determinar la veracidad de la hipótesis. 
6. **Preliminar results**: Posibles resultados preliminares o de trabjo previo.
7. **Plan and activities**: Hacer una tabla o diagrama de las etapas o requisitos para el desarrollo del proyecto, usualmente se presentan diagramas de Gantt. 
8. **Conclusions**: Escribir aquí las conclusiones, considerando los posibles resultados preliminares que existan; si a esta altura del trabajo existen. 

**For more details please refer to the file** 'sampleDocument.tex'.
